Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
read_internal_arg Struct Reference

## Data Fields
int | fd
char * | str_ptr
long | len

## Detailed Description

Definition at line 2357 of file io.c.

## Field Documentation

int read_internal_arg::fd

Definition at line 2358 of file io.c.

Referenced by io_getpartial(), rb_io_sysread(), and read_internal_call().

long read_internal_arg::len

Definition at line 2360 of file io.c.

Referenced by io_getpartial(), rb_io_sysread(), and read_internal_call().

char* read_internal_arg::str_ptr

Definition at line 2359 of file io.c.

Referenced by io_getpartial(), rb_io_sysread(), and read_internal_call().

The documentation for this struct was generated from the following file:

- io.c